#include <iostream>
#include <cmath>

using namespace std;

int main() {
	int n, m;
	cin >> n;
    int a[n][2];
	for(int i = 0; i < n; i++) {
		for(int j = 0; j < m; j++) {
			cin >> a[i][j];
		}
        m = pow(2, n) - 1 - n - (n*(n-1))/2;
        cout << m << endl;
	}
	
	return 0;
}